#!/bin/bash
#SBATCH --ntasks 1
#SBATCH --cpus-per-task 112
#SBATCH --time 48:00:00
#SBATCH --job-name run
#SBATCH --account bsc32
#SBATCH --qos gp_bsces
#SBATCH --output /gpfs/scratch/bsc32/bsc032050/logs/barot-%J.out
#SBATCH --error /gpfs/scratch/bsc32/bsc032050/logs/barot-%J.err


module purge
module load netcdf4-python/1.6.5-foss-2023b
module load xarray/2024.5.0-gfbf-2023b-Python-3.11.5
module load dask/2024.5.1-gfbf-2023b-Python-3.11.5
module load cfgrib/0.9.15.0-foss-2023b-Python-3.11.5
module load ecCodes/2.35.1-gompi-2023b

for file in /gpfs/scratch/bsc32/bsc032050/ifsnemo_grib_post/data/vo/*.grib
do
  python3 /gpfs/scratch/bsc32/bsc032050/ifsnemo_grib_post/production/barot.py $file
done
